Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# `incus snapshot restore`

Restore instance snapshots

## Synopsis

Description:
Restore instance from snapshots
If –stateful is passed, then the running state will be restored too.

    incus snapshot restore [<remote>:]<instance> <snapshot name> [flags]

## Examples

      incus snapshot restore u1 snap0
          Restore instance u1 to snapshot snap0

## Options

          --stateful   Whether or not to restore the instance's running state from snapshot (if available)

## Options inherited from parent commands

          --debug          Show all debug messages
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus snapshot - Manage instance snapshots